package com.bcxin.message.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bcxin.message.dao.mapper.MsgAdminUserMapper;
import com.bcxin.message.entity.MsgAdminUser;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * description：消息中心用户表 service
 * author：linchunpeng
 * date：2023/11/17
 */
@Slf4j
@Service
public class MsgAdminUserService extends ServiceImpl<MsgAdminUserMapper, MsgAdminUser> {

    @Autowired
    private MsgAdminUserMapper dao;


    /**
     * description：通过appid查询消息中心用户表
     * author：linchunpeng
     * date：2023/11/17
     */
    public MsgAdminUser findByAppid(String appid) {
        LambdaQueryWrapper<MsgAdminUser> lqw = Wrappers.lambdaQuery();
        lqw.eq(MsgAdminUser::getAppid, appid);
        return dao.selectOne(lqw);
    }

}
